﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">

    <div class="section-with-top-border">
        <div class="row">
            <div class="col-md-4">
                <h4>Fundamental Segment</h4>
            </div>
            @*<div class="col-md-8 text-right" style="padding-right:35px" ;>
                <a href="~/Fundamental/Create" class="btn btn-default btn-rounded width-200">Add New Fundamental</a>
            </div>*@
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Fundamental Name</th>
                        <th>Description</th>
                        
                    </tr>
                </thead>


            </table>
        </div>
        <!-- end panel -->
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true, 
            "serverSide": true, 
            "filter": true, 
            "orderMulti": false, 
            "ajax": {
                "url": "/Fundamental/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "fundamentalName", "name": "fundamentalName" },
                { "data": "description", "name": "description" },
                //{
                //    render: function (data, type, full, meta) { return '<a class="btn btn-info" href="/Fundamental/Edit/' + full.id + '">Edit</a> <a class="btn btn-danger" href="/Fundamental/Delete/' + full.id + '">Delete</a>'; }
                //},
            ]
        });
    });
</script>

